%\usepackage{graphicx}
%\usepackage{epsfig}
%\usepackage{float}
%\usepackage{wasysym}
%\usepackage{hyperref}
%\usepackage{amsmath}

%\newcommand{\comment}[1]{{\bf [#1]}}
%\newcommand{\be}{\begin{equation}}
%\newcommand{\ee}{\end{equation}}
%\newcommand{\ba}{\begin{eqnarray}}
%\newcommand{\ea}{\end{eqnarray}}
%\newcommand{\bi}[1]{\bibitem{#1}}
\newcommand{\fr}[2]{\frac{#1}{#2}} 
\newcommand{\non}{\nonumber}
\newcommand{\ar}{\mbox{$\rightarrow$}}
\def\ra{\rightarrow}
\newcommand{\re}{{\Re}e}
\newcommand{\im}{{\Im}m}
\newcommand{\Et}{\ensuremath{E_\mathrm{T}}}                                     
%\newcommand{\met}{\ensuremath{\Et^{\mathrm{miss}}}}                             
%\newcommand{\ifb}{\ensuremath{\mathrm{fb^{-1}}}}                                

%\newcommand{\V}{V}
\newcommand{\Z}{Z}
%\newcommand{\PW}{W}
%\newcommand{\PH}{H}
\newcommand{\F}{F}
\newcommand{\cPg}{g}
%\newcommand{\Pg}{g}
%\newcommand{\Pq}{q}
%\newcommand{\Paq}{\bar{q}}
%\newcommand{\qqbar}{q\bar{q}}
%\newcommand{\GH}{\Gamma_H}
\newcommand{\GHSM}{\Gamma_H^{\rm SM}}
\newcommand{\V}{V}   % missing, added by Nikolas Kauer
% replaced \G with G in text below since \G is already defined (Nikolas Kauer)
\providecommand{\ssst}{\scriptscriptstyle}


\subsection{Higgs boson off-shell simulation with the MCFM and JHU generator frameworks}
\label{sec:offshell_interf_vv_jhugen_mcfm}


The JHU Generator and MELA framework~\cite{Gao:2010qx,Bolognesi:2012mm,Anderson:2013afp}  
is designed for the study of anomalous couplings of a resonance to vector bosons and fermions 
in various decay and production processes on LHC,
and is applicable to either the already discovered boson $H(125)$ or a new resonance $X(m_X)$. 
In addition to stand-alone generation, the framework is also integrated with the MCFM Monte Carlo 
package~\cite{Campbell:2010ff,Campbell:2011bn,Campbell:2013una} 
for modelling of the background processes and allows simulation of anomalous couplings 
in off-shell $H(125)^*$ boson production including interference with continuum diboson production. 
The simulation  of an additional broad resonance $X$ is also included, 
allowing for the study of a new Higgs-like resonance with arbitrary couplings interfering with the SM processes. 
The MELA framework allows various likelihood functions either for construction of kinematic 
discriminants or re-weighting of MC simulation. 

The formalism in the JHUGen / MELA framework follows the convention for the tensor structure of $HVV$ couplings
%%%%%%%%%%%%%%%%%%%%%%%
\begin{equation}
A(\PH\V\V) \propto
\Biggl[ a_{1}
 - e^{i\phi_{\Lambda{Q}}} \frac{\left(q_{{\V}1} + q_{{\V}2}\right)^{2}}{\left(\Lambda_{Q}\right)^{2}}\\
 - e^{i\phi_{\Lambda{1}}} \frac{\left(q_{{\V}1}^2 + q_{{\V}2}^2\right)}{\left(\Lambda_{1}\right)^{2}}
\Biggr]m_{\V}^2 \epsilon_{{\V}1}^* \epsilon_{{\V}2}^*
\\
+ a_{2}^{}  f_{\mu \nu}^{*(1)}f^{*(2),\mu\nu}
+ a_{3}^{}   f^{*(1)}_{\mu \nu} {\tilde f}^{*(2),\mu\nu},
\label{eq:ampl-spin0-offshell}
\end{equation}
%%%%%%%%%%%%%%%%%%%%%%%
where $f^{(i){\mu \nu}} = \epsilon_{{\V}i}^{\mu}q_{{\V}i}^{\nu} - \epsilon_{{\V}i}^\nu q_{{\V}i}^{\mu} $
is the field strength tensor of a gauge boson with momentum $q_{{\V}i}$ and polarization
vector $\epsilon_{{\V}i}$, ${\tilde f}^{(i)}_{\mu \nu} = \frac{1}{2} \epsilon_{\mu\nu\rho\sigma} f^{(i),\rho\sigma}$
is the dual field strength tensor.
Spin-one and spin-two resonance couplings, higher-order terms in $q^2$ expansion, 
and terms asymmetric in $q_{V1}^2$ and $q_{V2}^2$ are supported by the generator but are not shown here,
see Refs.~\cite{Gao:2010qx,Bolognesi:2012mm,Anderson:2013afp} and generator manual for details. 
The above $q^2$ expansion is equivalent to the effective Lagrangian  notation with operators up to dimension 
five~\cite{Khachatryan:2014kca,Khachatryan:2015mma}
%%%%%%%%%%%%%%%%%%%%%%%
\begin{eqnarray}
 {L}(\PH\V\V) \propto &&
a_{1}\frac{m_{\ssst\Z}^2}{2} \PH \Z^{\mu}\Z_{\mu} 
- \frac{\kappa_1}{\left(\Lambda_{1}\right)^{2}} m_{\ssst\Z}^2 \PH  \Z^{\mu} \Box \Z_{\mu}
- \frac{\kappa_3}{2\left(\Lambda_{Q}\right)^{2}} m_{\ssst\Z}^2 \Box \PH  \Z^{\mu} \Z_{\mu} 
 \nonumber \\
%
&& - \frac{1}{2}a_{2} \PH  \Z^{\mu\nu}\Z_{\mu\nu} 
- \frac{1}{2}a_{3} \PH  \Z^{\mu\nu}{\tilde \Z}_{\mu\nu} 
  \nonumber \\
%
&& + a_{1}^{\PW\PW}{m_{\ssst\PW}^2} \PH \PW^{+\mu} \PW^{-}_{\mu}
- \frac{1}{\left(\Lambda_{1}^{\PW\PW}\right)^{2}} m_{\ssst\PW}^2 \PH
  \left(  \kappa_1^{\PW\PW} \PW^{-}_{\mu} \Box \PW^{+\mu} + \kappa_2^{\PW\PW} \PW^{+}_{\mu} \Box \PW^{-\mu} \right)
    \nonumber \\
%
&& 
 - \frac{\kappa_3^{\PW\PW}}{\left(\Lambda_{Q}\right)^{2}} m_{\ssst\PW}^2 \Box \PH  \PW^{+\mu} \PW^{-}_{\mu}
- a_{2}^{\PW\PW} \PH \PW^{+\mu\nu}\PW^{-}_{\mu\nu}
- a_{3}^{\PW\PW} \PH \PW^{+\mu\nu}{\tilde \PW}^{-}_{\mu\nu} 
\nonumber \\
%
&&                          + \frac{\kappa_2^{\Z\gamma}}{\left(\Lambda_{1}^{\Z\gamma} \right)^{2}} m_{\ssst\Z}^2 \PH  \Z_\mu \partial_\nu \F^{\mu\nu}
                          - a_{2}^{\Z\gamma} \PH \F^{\mu\nu} \Z_{\mu\nu} - a_{3}^{\Z\gamma} \PH  \F^{\mu\nu}{\tilde \Z}_{\mu\nu}
\nonumber \\
%
&&
                           - \frac{1}{2}a_{2}^{\gamma\gamma} \PH  \F^{\mu\nu}\F_{\mu\nu} - \frac{1}{2}a_{3}^{\gamma\gamma}\PH  \F^{\mu\nu}{\tilde F}_{\mu\nu}
 %                           \nonumber \\
 %
%&&    
- \frac{1}{2}a_{2}^{\Pg\Pg} \PH  G^{\mu\nu}_aG^a_{\mu\nu} 
- \frac{1}{2}a_{3}^{\Pg\Pg}\PH  G^{\mu\nu}_a{\tilde G}^a_{\mu\nu},
\label{eq:lagrangian-offshell}
\end{eqnarray}
%%%%%%%%%%%%%%%%%%%%%%%
where $\V_{\mu\nu} = \partial_\mu V_\nu - \partial_\nu V_\mu $,
$G^a_{\mu\nu} = \partial_\mu A^a_\nu - \partial_\nu A^a_\mu + g f^{abc}A^b_\mu A^c_\nu$,
${\tilde V}^{\mu \nu} = 1/2 \epsilon^{\mu \nu \alpha \beta} V_{\alpha \beta}$,
$Z$ is the $Z$ field, $W$ is the $W$ field, $F$ is the $\gamma$ field, and $G$ is the $g$ field. 

Both on-shell $H$ production and off-shell $H^*$ production are considered. 
There are no kinematic constraints on either $q^2_{\ssst Vi}$ or $(q_{\ssst V1}+q_{\ssst V2})^2$, 
other than the relevant parton luminosities. 
Since the scale of validity of the nonrenormalizable higher-dimensional operators is {\it a priori}
unknown, effective cut-off scales $\Lambda_{V1,i}, \Lambda_{V2,i}, \Lambda_{H,i}$ are introduced
for each term in Eq.~(\ref{eq:ampl-spin0-offshell}) with the form factor scaling the anomalous
contribution $g_i^{\rm BSM}$ as
%%%%%%%%%%%%%%%%%%%%%%%
\begin{eqnarray}
%\begin{equation}
g_i = g_i^{\rm SM} \times \delta_{i1} +
g_i^{\rm BSM} \times \frac{\Lambda_{V1,i}^2 \Lambda_{V2,i}^2 \Lambda_{H,i}^2}
{(\Lambda_{V1,i}^2+|q^2_{\ssst V1}|)(\Lambda_{V2,i}^2+|q^2_{\ssst V2}|)(\Lambda_{H,i}^2+|(q_{\ssst V1}+q_{\ssst V2})^2|)} 
\,.
\label{eq:formfact-spin0-offshell}
%\end{equation}
\end{eqnarray}
%%%%%%%%%%%%%%%%%%%%%%%

The $gg \to ZZ/Z\gamma^*/\gamma^*\gamma^*\to 4f$ process is  generated at LO in QCD.
In simulation shown in \refF{fig:MCFM_BSM_GenLevel}, the QCD factorization and renormalization 
scales are chosen to be running as $m_{4\ell}/2$ and NNPDF30 parton structure functions are adopted. 
In order to include higher-order QCD corrections, LO, NLO, and NNLO signal cross section calculation 
is performed using the MCFM and HNNLO programs~\cite{Catani:2007vq,Grazzini:2008tf,Grazzini:2013mca} 
for a wide range of masses using narrow width approximation. 
The ratio between the NNLO and LO, or between the NLO and LO, values is used as a weight ({\it k}\,-factor).
The NNLO {\it k}\,-factors are applied to simulation as shown in \refF{fig:MCFM_BSM_GenLevel}. 
While this calculation is directly applicable for signal, it is approximate for background. However, the 
NLO calculation is available~\cite{Caola:2015psa,Melnikov:2015laa} for background for the mass range
$2m_Z<m_{4\ell}<2m_t$. There is a good agreement between the NLO {\it k}\,-factors calculated for signal
and background, and any differences set the scale of systematic uncertainties from this procedure. 

Two applications of off-shell $H(125)$ simulation are shown in \refF{fig:MCFM_BSM_GenLevel}.
In one case, anomalous $HVV$ couplings introduce distinct kinematics in the mass range $m_{4\ell}>2m_Z$.
In the other case, a hypothetical $X(m_X)$ resonance interferes with both $H(125)$ off-shell tail and 
the $gg\to4\ell$ background. In all cases, most general $HVV$ and $XVV$ couplings discussed above are possible. 
Anomalous coupling parameterization in terms 
effective fractions of events follows LHC convention~\cite{Khachatryan:2014kca,Khachatryan:2015mma} 
and is equivalent to parameterization in Eq.~(\ref{eq:ampl-spin0-offshell}) 
with  $f_{ai}= |a_i|^2\sigma_i / \Sigma_j |a_j|^2\sigma_j$.

%%%%%%%%%%%%%%%%%%%%%%%
\begin{figure}%[]
\centering
\centerline{
\includegraphics[width=0.4\textwidth]{WG1/OffshellInterference/YRHXS4_WG1_OffshellInterference_VV_figs/jhugen-offshell.pdf}
\includegraphics[width=0.4\textwidth]{WG1/OffshellInterference/YRHXS4_WG1_OffshellInterference_VV_figs/kfactor.pdf}
}
\centerline{
\includegraphics[width=0.85\textwidth]{WG1/OffshellInterference/YRHXS4_WG1_OffshellInterference_VV_figs/jhugen_highmass.pdf}
}
\caption{
Differential cross section of the process $gg \to ZZ/Z\gamma^*/\gamma^*\gamma^*\to 2\ell 2\ell^\prime$ (where $\ell$, $\ell^\prime= e$, $\mu,$ or $\tau$) as a function of invariant mass $m_{4\ell}$ generated with the MCFM+JHUGen framework, including the NNLO in QCD weights calculated with MCFM+HNNLO. The NNLO and NLO weights ({\it k}\,-factors) as a function of $m_{4\ell}$ are shown on the top-right plot. The top-left plot shows several scenarios of $H(125)$ anomalous couplings to two weak vector bosons with enhancement in the off-shell region with the $a_3$, $a_2$, and $\Lambda_{1}$ terms, as coloured histograms, as well as the $a_1$ term (SM), as the solid black histogram, from Eq.~(\ref{eq:ampl-spin0-offshell}) in decreasing order of enhancement at high mass. The bottom plot shows distributions in the presence of a hypothetical $X(450)$ resonance with several components either isolated or combined. In all cases interference (I) of all contributing amplitudes is included.}
\label{fig:MCFM_BSM_GenLevel}
\end{figure}
%%%%%%%%%%%%%%%%%%%%%%%

%\clearpage

%==============================================================================
%==============================================================================
%==============================================================================
%==============================================================================

\providecommand{\cba}{c_{\beta-\alpha}}
\providecommand{\sba}{s_{\beta-\alpha}}
\providecommand{\tb}{t_{\beta}}
\providecommand{\smallz}{{\scriptscriptstyle Z}}
\providecommand{\mzz}{m_{\smallz\smallz}}
\providecommand{\gosam}{{\sc GoSam}}

